## libdrm 2.4.39

=== debian/changelog ===
libdrm (2.4.39-0+zlt1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (2.4.39).
  * debian/source/format: 3.0 (quilt)
  * debian/patches:
    - 000_debian-changes.patch: add pre 3.0 (quilt) modified upstream files
  * debian/control, debian/rules, debian/*.install:
    - s/libdrm-nouveau1*/libdrm-nouveau2/
  * debian/lib*.symbols: update

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Wed, 19 Sep 2012 20:16:40 +0400

libdrm (2.4.33-3) unstable; urgency=low

  * Add missing dependency on libdrm-omap1 to libdrm-dev (thanks, Robert
    Hooker!).  Make some arm matching a bit simpler.

 -- Julien Cristau <jcristau@debian.org>  Thu, 21 Jun 2012 23:22:22 +0200

libdrm (2.4.33-2) unstable; urgency=low

  [ Sebastian Reichel ]
  * Build libdrm_omap (closes: #667572).

 -- Julien Cristau <jcristau@debian.org>  Thu, 21 Jun 2012 22:39:22 +0200

libdrm (2.4.33-1) unstable; urgency=low

  * New upstream release.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 02 Apr 2012 01:28:22 +0000

libdrm (2.4.32-1) unstable; urgency=low

  [ Robert Hooker ]
  * New upstream release (2.4.31).
  * Bump libdrm2 and libdrm-radeon1 symbols and shlibs to account for
    recent changes.

  [ Cyril Brulebois ]
  * New upstream release (2.4.32).
  * Bump libdrm-intel1's symbols and shlibs accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 19 Mar 2012 19:56:12 +0000

libdrm (2.4.30-1) unstable; urgency=low

  * New upstream release.
  * Bump libdrm2's and libdrm-intel1's symbols and shlibs accordingly.
  * Document the symlink dance when building from git in README.source.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 06 Jan 2012 20:04:37 +0100

libdrm (2.4.29-1) unstable; urgency=low

  * New upstream release:
    - assert()s are now gone (Closes: #651316).
  * Update libdrm-intel1's symbols and shlibs accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 13 Dec 2011 13:16:22 +0100

libdrm (2.4.28-1) unstable; urgency=low

  * New upstream release.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 06 Dec 2011 15:17:50 +0100

libdrm (2.4.27-1) unstable; urgency=low

  * New upstream release:
    - Push the new Intel API for use by mesa.
    - Usual bug fixes.
  * Update libdrm-intel1's symbols and shlibs accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 01 Nov 2011 19:30:54 +0100

libdrm (2.4.26-1) unstable; urgency=low

  * New upstream release:
    - Fix two important intel bugs.
  * Add libpciaccess-dev build-dep.
  * Update libdrm-intel1.symbols and shlibs for new aperture-related symbol.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 24 Jun 2011 17:07:04 +0200

libdrm (2.4.25-3) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Build for multiarch.

  [ Julien Cristau ]
  * Add lintian overrides for symbols-declares-dependency-on-other-package (we
    use that for private symbols).
  * Bump Standards-Version to 3.9.2.

 -- Julien Cristau <jcristau@debian.org>  Thu, 09 Jun 2011 20:05:53 +0200

libdrm (2.4.25-2) unstable; urgency=low

  * Upload to unstable.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 16 May 2011 19:14:49 +0200

libdrm (2.4.25-1) experimental; urgency=low

  * New upstream release.
  * Update libdrm2.symbols and shlibs.
  * Update libkms1.symbols, marking dumb_create@Base as private.
  * Switch to dh:
    - Bump compat/build-dep to 8.
    - Use dh-autoreconf.
    - Tidy old build-deps.
    - Testsuite now automatically gets run.
  * Accordingly, add a build-dep to fix FTBFS during make check:
    - 03_build_against_librt.diff
  * Add libudev-dev build-dep on Linux so that detection works.
  * Since the testsuite just got enabled, let's not bail out if it fails.
  * Remove xsfbs as it's no longer needed.
  * Bump Standards-Version (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 19 Apr 2011 02:57:29 +0200

libdrm (2.4.24-2) unstable; urgency=low

  * Upload to unstable.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 10 Apr 2011 22:57:02 +0200

libdrm (2.4.24-1) experimental; urgency=low

  [ Christopher James Halse Rogers ]
  * New upstream release.
  * Add new internal radeon symbols to libkms1.symbols

  [ Cyril Brulebois ]
  * Just as a reminder, not adding a lintian override for the following
    warning, since patches were sent upstream to stop exporting private
    symbols: symbols-declares-dependency-on-other-package

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Mar 2011 20:27:23 +0100

libdrm (2.4.23-3) unstable; urgency=low

  * Cherry-pick from upstream:
    - intel: Fallback to old exec if no mrb_exec is available
    - intel: Set the public handle after opening by name
    - intel: Remember named bo
  * The first of those fixes should fix some failures to submit batch
    buffer (Closes: #612766).
  * Bump dependency to 2.4.23-3 for the drm_intel_bo_mrb_exec symbol in
    libdrm-intel1's symbols file. While the former version is alright
    from a shared object point of view, runtime doesn't seem to agree
    (Closes: #609299).
  * Bump the libdrm-intel1 shlibs version for consistency.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 16 Feb 2011 11:44:44 +0100

libdrm (2.4.23-2) unstable; urgency=low

  * Upload to unstable.
  * Update Uploaders list. Thanks, David & Brice!

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Feb 2011 11:26:44 +0100

libdrm (2.4.23-1) experimental; urgency=low

  [ Sven Joachim ]
  * New upstream release.
  * Rename the libdrm-nouveau1 package to libdrm-nouveau1a, since upstream
    broke the ABI without changing the soname.
    - Make libdrm-nouveau1a{,-dbg} conflict with libdrm-nouveau1{,-dbg} and
      remove the Breaks against xserver-xorg-video-nouveau.
    - Adjust the lintian override.
    - Bump libdrm-nouveau shlibs and symbols versions to 2.4.23.
  * Use dh_prep instead of the deprecated dh_clean -k in debian/rules.

 -- Julien Cristau <jcristau@debian.org>  Thu, 23 Dec 2010 17:56:54 +0100

libdrm (2.4.22-2) experimental; urgency=low



=== debian/control ===
Source: libdrm
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>
Build-Depends:
 debhelper (>= 8.1.2ubuntu2),
 dh-autoreconf,
 quilt,
 libx11-dev,
 pkg-config,
 libpthread-stubs0-dev,
 libudev-dev [linux-any],
 libpciaccess-dev,
Standards-Version: 3.9.2
Section: libs
Vcs-Git: git://git.debian.org/git/pkg-xorg/lib/libdrm
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/lib/libdrm.git

Package: libdrm-dev
Section: libdevel
Architecture: any
Depends:
 libdrm2 (= ${binary:Version}),
 libdrm-intel1 (= ${binary:Version}) [amd64 i386 kfreebsd-amd64 kfreebsd-i386],
 libdrm-radeon1 (= ${binary:Version}) [linux-any],
 libdrm-nouveau2 (= ${binary:Version}) [linux-any],
 libdrm-omap1 (= ${binary:Version}) [any-arm],
 libkms1 (= ${binary:Version}) [linux-any],
 ${misc:Depends},
Replaces:
 linux-libc-dev (<< 2.6.32-10)
Description: Userspace interface to kernel DRM services -- development files
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.
 .
 This package provides the development environment for libdrm.

Package: libdrm2
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Userspace interface to kernel DRM services -- runtime
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.
 .
 This package provides the runtime environment for libdrm.

Package: libdrm2-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libdrm2 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Userspace interface to kernel DRM services -- debugging symbols
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.
 .
 This package provides debugging symbols for the libdrm2 package.

Package: libdrm-intel1
Section: libs
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to intel-specific kernel DRM services -- runtime
 This library implements the userspace interface to the intel-specific kernel
 DRM services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI). The DRI is
 currently used on Linux to provide hardware-accelerated OpenGL drivers.

Package: libdrm-intel1-dbg
Section: debug
Priority: extra
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
Depends:
 libdrm-intel1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Userspace interface to intel-specific kernel DRM services -- debugging symbols
 This library implements the userspace interface to the kernel DRM services.
 DRM stands for "Direct Rendering Manager", which is the kernelspace portion
 of the "Direct Rendering Infrastructure" (DRI). The DRI is currently used on
 Linux to provide hardware-accelerated OpenGL drivers.
 .
 This package provides the debugging symbols for the libdrm-intel1 package.

Package: libdrm-nouveau2
Section: libs
Architecture: linux-any
Depends: ${shlibs:Depends},
 ${misc:Depends},
Conflicts: libdrm-nouveau2
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to nouveau-specific kernel DRM services -- runtime
 This library implements the userspace interface to the nouveau-specific kernel
 DRM services. DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI). The DRI is
 currently used on Linux to provide hardware-accelerated OpenGL drivers.

Package: libdrm-nouveau2-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: libdrm-nouveau2 (= ${binary:Version}),
 ${misc:Depends},
Conflicts: libdrm-nouveau2-dbg
Multi-Arch: same
Description: Userspace interface to nouveau-specific kernel DRM -- debugging symbols
 This library implements the userspace interface to the kernel DRM services.
 DRM stands for "Direct Rendering Manager", which is the kernelspace portion
 of the "Direct Rendering Infrastructure" (DRI). The DRI is currently used on
 Linux to provide hardware-accelerated OpenGL drivers.
 .
 This package provides the debugging symbols for the libdrm-nouveau2 package.

Package: libdrm-radeon1
Section: libs
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to radeon-specific kernel DRM services -- runtime
 This library implements the userspace interface to the radeon-specific kernel
 DRM services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI). The DRI is
 currently used on Linux to provide hardware-accelerated OpenGL drivers.

Package: libdrm-radeon1-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 libdrm-radeon1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Userspace interface to radeon-specific kernel DRM services -- debugging symbols
 This library implements the userspace interface to the kernel DRM services.
 DRM stands for "Direct Rendering Manager", which is the kernelspace portion
 of the "Direct Rendering Infrastructure" (DRI). The DRI is currently used on
 Linux to provide hardware-accelerated OpenGL drivers.
 .
 This package provides the debugging symbols for the libdrm-radeon1 package.

Package: libkms1
Section: libs
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Userspace interface to kernel DRM buffer management
 This library implements a unified userspace interface to the different buffer
 management interfaces of the kernel DRM hardware drivers.

Package: libkms1-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: libkms1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Userspace interface to kernel DRM buffer management -- debugging symbols
 This library implements a unified userspace interface to the different buffer
 management interfaces of the kernel DRM hardware drivers.
 .
 This package provides the debugging symbols for the libkms1 package.

Package: libdrm-omap1
Section: libs
Architecture: any-arm
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to omap-specific kernel DRM services -- runtime
 This library implements the userspace interface to the omap-specific kernel
 DRM services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI). The DRI is
 currently used on Linux to provide hardware-accelerated OpenGL drivers.

Package: libdrm-omap1-dbg
Section: debug
Priority: extra
Architecture: any-arm
Depends:
 libdrm-omap1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Userspace interface to omap-specific kernel DRM services -- debugging symbols
 This library implements the userspace interface to the kernel DRM services.
 DRM stands for "Direct Rendering Manager", which is the kernelspace portion
 of the "Direct Rendering Infrastructure" (DRI). The DRI is currently used on
 Linux to provide hardware-accelerated OpenGL drivers.
 .
 This package provides the debugging symbols for the libdrm-omap1 package.

=== debian/rules ===
#!/usr/bin/make -f

###
### Configuration, decide what to build
###

# Some variables:
DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

# Linux vs. the rest:
ifeq (linux, $(DEB_HOST_ARCH_OS))
	confflags += --enable-udev
	confflags += --enable-libkms
	LIBKMS = yes
	confflags += --enable-vmwgfx-experimental-api
	confflags += --enable-nouveau-experimental-api
	NOUVEAU = yes
	confflags += --enable-radeon
	RADEON = yes
else
	confflags += --disable-udev
	confflags += --disable-libkms
	LIBKMS = no
	confflags += --disable-vmwgfx-experimental-api
	confflags += --disable-nouveau-experimental-api
	NOUVEAU = no
	confflags += --disable-radeon
	RADEON = no
endif

# Intel is only on x86:
ifneq (,$(filter amd64 i386,$(DEB_HOST_ARCH_CPU)))
ifneq (,$(filter linux kfreebsd,$(DEB_HOST_ARCH_OS)))
	INTEL = yes
endif
endif
ifeq ($(INTEL), yes)
	confflags += --enable-intel
else
	confflags += --disable-intel
endif

# Omap is only on arm
ifneq (,$(filter arm,$(DEB_HOST_ARCH_CPU)))
	OMAP = yes
endif
ifeq ($(OMAP), yes)
	confflags += --enable-omap-experimental-api
else
	confflags += --disable-omap-experimental-api
endif

###
### Actual build
###

override_dh_auto_configure:
	dh_auto_configure -- --enable-static=yes $(confflags)

override_dh_auto_test:
	dh_auto_test || echo "Test suite failure, but keeping on anyway"

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

override_dh_strip:
	dh_strip -plibdrm2 --dbg-package=libdrm2-dbg
ifeq ($(INTEL), yes)
	dh_strip -plibdrm-intel1 --dbg-package=libdrm-intel1-dbg
endif
ifeq ($(NOUVEAU), yes)
	dh_strip -plibdrm-nouveau2 --dbg-package=libdrm-nouveau2-dbg
endif
ifeq ($(RADEON), yes)
	dh_strip -plibdrm-radeon1 --dbg-package=libdrm-radeon1-dbg
endif
ifeq ($(OMAP), yes)
	dh_strip -plibdrm-omap1 --dbg-package=libdrm-omap1-dbg
endif
ifeq ($(LIBKMS), yes)
	dh_strip -p libkms1 --dbg-package=libkms1-dbg
endif
	dh_strip -s --remaining-packages

override_dh_makeshlibs:
	dh_makeshlibs -plibdrm2 -V'libdrm2 (>= 2.4.31)' -- -c4
ifeq ($(INTEL), yes)
	dh_makeshlibs -plibdrm-intel1 -V'libdrm-intel1 (>= 2.4.32)' -- -c4
endif
ifeq ($(NOUVEAU), yes)
	dh_makeshlibs -plibdrm-nouveau2 -V'libdrm-nouveau2 (>= 2.4.39)' -- -c4
endif
ifeq ($(RADEON), yes)
	dh_makeshlibs -plibdrm-radeon1 -V'libdrm-radeon1 (>= 2.4.31)' -- -c4
endif
ifeq ($(OMAP), yes)
	dh_makeshlibs -plibdrm-omap1 -V'libdrm-omap1' -- -c4
endif
ifeq ($(LIBKMS), yes)
	dh_makeshlibs -plibkms1 -V'libkms1' -- -c4
endif

%:
	dh $@ --with quilt,autoreconf --builddirectory=build/

=== debian/watch ===
#git=git://anongit.freedesktop.org/mesa/drm
version=3
http://dri.freedesktop.org/libdrm/libdrm-(.*)\.tar\.gz

## libdrm 2.4.40

=== include/drm/Makefile ===
# Makefile.in generated by automake 1.11.3 from Makefile.am.
# include/drm/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#  Copyright 2005 Adam Jackson.
#
#  Permission is hereby granted, free of charge, to any person obtaining a
#  copy of this software and associated documentation files (the "Software"),
#  to deal in the Software without restriction, including without limitation
#  on the rights to use, copy, modify, merge, publish, distribute, sub
#  license, and/or sell copies of the Software, and to permit persons to whom
#  the Software is furnished to do so, subject to the following conditions:
#
#  The above copyright notice and this permission notice (including the next
#  paragraph) shall be included in all copies or substantial portions of the
#  Software.
#
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.  IN NO EVENT SHALL
#  ADAM JACKSON BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
#  IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
#  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

# XXX airlied says, nothing besides *_drm.h and drm*.h should be necessary.
# however, r300 and via need their reg headers installed in order to build.
# better solutions are welcome.


pkgdatadir = $(datadir)/libdrm
pkgincludedir = $(includedir)/libdrm
pkglibdir = $(libdir)/libdrm
pkglibexecdir = $(libexecdir)/libdrm
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
am__append_1 = vmwgfx_drm.h
subdir = include/drm
DIST_COMMON = $(am__klibdrminclude_HEADERS_DIST) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
SOURCES =
DIST_SOURCES =
am__klibdrminclude_HEADERS_DIST = drm.h drm_mode.h drm_fourcc.h \
	drm_sarea.h i915_drm.h mga_drm.h nouveau_drm.h r128_drm.h \
	radeon_drm.h savage_drm.h sis_drm.h via_drm.h mach64_drm.h \
	vmwgfx_drm.h
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(klibdrmincludedir)"
HEADERS = $(klibdrminclude_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/marek/dev/drm/build-aux/missing --run aclocal-1.11
ALLOCA = 
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/marek/dev/drm/build-aux/missing --run autoconf
AUTOHEADER = ${SHELL} /home/marek/dev/drm/build-aux/missing --run autoheader
AUTOMAKE = ${SHELL} /home/marek/dev/drm/build-aux/missing --run automake-1.11
AWK = gawk
CAIRO_CFLAGS = -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
CAIRO_LIBS = -lcairo  
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CLOCK_LIB = -lrt
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUDEV_CFLAGS =  
LIBUDEV_LIBS = -ludev -lrt  
LIB_MAN_DIR = $(mandir)/man$(LIB_MAN_SUFFIX)
LIB_MAN_SUFFIX = 3
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /home/marek/dev/drm/build-aux/missing --run makeinfo
MANIFEST_TOOL = :
MAN_SUBSTS = 	-e 's|__vendorversion__|"$(PACKAGE_STRING)" |' 	-e 's|__projectroot__|$(prefix)|g' 	-e 's|__apploaddir__|$(appdefaultdir)|g' 	-e 's|__appmansuffix__|$(APP_MAN_SUFFIX)|g' 	-e 's|__drivermansuffix__|$(DRIVER_MAN_SUFFIX)|g' 	-e 's|__adminmansuffix__|$(ADMIN_MAN_SUFFIX)|g' 	-e 's|__libmansuffix__|$(LIB_MAN_SUFFIX)|g' 	-e 's|__miscmansuffix__|$(MISC_MAN_SUFFIX)|g' 	-e 's|__filemansuffix__|$(FILE_MAN_SUFFIX)|g'
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libdrm
PACKAGE_BUGREPORT = https://bugs.freedesktop.org/enter_bug.cgi?product=DRI
PACKAGE_NAME = libdrm
PACKAGE_STRING = libdrm 2.4.40
PACKAGE_TARNAME = libdrm
PACKAGE_URL = 
PACKAGE_VERSION = 2.4.40
PATH_SEPARATOR = :
PCIACCESS_CFLAGS =  
PCIACCESS_LIBS = -lpciaccess  
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PTHREADSTUBS_CFLAGS =  
PTHREADSTUBS_LIBS =  
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VALGRIND_CFLAGS = -I/usr/include/valgrind  
VALGRIND_LIBS = -L/usr/lib/valgrind -lcoregrind-x86-linux -lvex-x86-linux -lgcc  
VERSION = 2.4.40
WARN_CFLAGS =  -Wall -Wextra -Wsign-compare -Werror-implicit-function-declaration -Wpointer-arith -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Wpacked -Wswitch-enum -Wmissing-format-attribute -Wstrict-aliasing=2 -Winit-self -Wdeclaration-after-statement -Wold-style-definition -Wno-missing-field-initializers -Wno-unused-parameter -Wno-attributes -Wno-long-long -Winline
abs_builddir = /home/marek/dev/drm/include/drm
abs_srcdir = /home/marek/dev/drm/include/drm
abs_top_builddir = /home/marek/dev/drm
abs_top_srcdir = /home/marek/dev/drm
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/marek/dev/drm/build-aux/install-sh
kernel_source = 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = ${exec_prefix}/lib/pkgconfig
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
klibdrmincludedir = ${includedir}/libdrm
klibdrminclude_HEADERS = drm.h drm_mode.h drm_fourcc.h drm_sarea.h \
	i915_drm.h mga_drm.h nouveau_drm.h r128_drm.h radeon_drm.h \
	savage_drm.h sis_drm.h via_drm.h mach64_drm.h $(am__append_1)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign include/drm/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign include/drm/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-klibdrmincludeHEADERS: $(klibdrminclude_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(klibdrmincludedir)" || $(MKDIR_P) "$(DESTDIR)$(klibdrmincludedir)"
	@list='$(klibdrminclude_HEADERS)'; test -n "$(klibdrmincludedir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(klibdrmincludedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(klibdrmincludedir)" || exit $$?; \
	done

uninstall-klibdrmincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(klibdrminclude_HEADERS)'; test -n "$(klibdrmincludedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(klibdrmincludedir)'; $(am__uninstall_files_from_dir)

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \

## libdrm 2.4.43

=== include/drm/Makefile ===
--- 
+++ 
@@ -56,8 +56,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = i686-pc-linux-gnu
-host_triplet = i686-pc-linux-gnu
+build_triplet = x86_64-unknown-linux-gnu
+host_triplet = x86_64-unknown-linux-gnu
 am__append_1 = vmwgfx_drm.h
 subdir = include/drm
 DIST_COMMON = $(am__klibdrminclude_HEADERS_DIST) $(srcdir)/Makefile.am \
@@ -117,16 +117,16 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/marek/dev/drm/build-aux/missing --run aclocal-1.11
+ACLOCAL = ${SHELL} /home/mlankhorst/nfs/xorg/libdrm/build-aux/missing --run aclocal-1.11
 ALLOCA = 
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
-AUTOCONF = ${SHELL} /home/marek/dev/drm/build-aux/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/marek/dev/drm/build-aux/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/marek/dev/drm/build-aux/missing --run automake-1.11
+AUTOCONF = ${SHELL} /home/mlankhorst/nfs/xorg/libdrm/build-aux/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/mlankhorst/nfs/xorg/libdrm/build-aux/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/mlankhorst/nfs/xorg/libdrm/build-aux/missing --run automake-1.11
 AWK = gawk
-CAIRO_CFLAGS = -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
+CAIRO_CFLAGS = -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
 CAIRO_LIBS = -lcairo  
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -152,22 +152,20 @@
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-LD = /usr/bin/ld
+LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
 LIBOBJS = 
 LIBS = 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LIBUDEV_CFLAGS =  
 LIBUDEV_LIBS = -ludev -lrt  
-LIB_MAN_DIR = $(mandir)/man$(LIB_MAN_SUFFIX)
-LIB_MAN_SUFFIX = 3
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
 MAINT = 
-MAKEINFO = ${SHELL} /home/marek/dev/drm/build-aux/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/mlankhorst/nfs/xorg/libdrm/build-aux/missing --run makeinfo
 MANIFEST_TOOL = :
-MAN_SUBSTS = 	-e 's|__vendorversion__|"$(PACKAGE_STRING)" |' 	-e 's|__projectroot__|$(prefix)|g' 	-e 's|__apploaddir__|$(appdefaultdir)|g' 	-e 's|__appmansuffix__|$(APP_MAN_SUFFIX)|g' 	-e 's|__drivermansuffix__|$(DRIVER_MAN_SUFFIX)|g' 	-e 's|__adminmansuffix__|$(ADMIN_MAN_SUFFIX)|g' 	-e 's|__libmansuffix__|$(LIB_MAN_SUFFIX)|g' 	-e 's|__miscmansuffix__|$(MISC_MAN_SUFFIX)|g' 	-e 's|__filemansuffix__|$(FILE_MAN_SUFFIX)|g'
+MANPAGES_STYLESHEET = http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
 NMEDIT = 
@@ -178,10 +176,10 @@
 PACKAGE = libdrm
 PACKAGE_BUGREPORT = https://bugs.freedesktop.org/enter_bug.cgi?product=DRI
 PACKAGE_NAME = libdrm
-PACKAGE_STRING = libdrm 2.4.40
+PACKAGE_STRING = libdrm 2.4.43
 PACKAGE_TARNAME = libdrm
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.4.40
+PACKAGE_VERSION = 2.4.43
 PATH_SEPARATOR = :
 PCIACCESS_CFLAGS =  
 PCIACCESS_LIBS = -lpciaccess  
@@ -195,14 +193,15 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = strip
-VALGRIND_CFLAGS = -I/usr/include/valgrind  
-VALGRIND_LIBS = -L/usr/lib/valgrind -lcoregrind-x86-linux -lvex-x86-linux -lgcc  
-VERSION = 2.4.40
+VALGRIND_CFLAGS = -I/usr/local/include/valgrind  
+VALGRIND_LIBS = -L/usr/local/lib/valgrind -lcoregrind-amd64-linux -lvex-amd64-linux -lgcc  
+VERSION = 2.4.43
 WARN_CFLAGS =  -Wall -Wextra -Wsign-compare -Werror-implicit-function-declaration -Wpointer-arith -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Wpacked -Wswitch-enum -Wmissing-format-attribute -Wstrict-aliasing=2 -Winit-self -Wdeclaration-after-statement -Wold-style-definition -Wno-missing-field-initializers -Wno-unused-parameter -Wno-attributes -Wno-long-long -Winline
-abs_builddir = /home/marek/dev/drm/include/drm
-abs_srcdir = /home/marek/dev/drm/include/drm
-abs_top_builddir = /home/marek/dev/drm
-abs_top_srcdir = /home/marek/dev/drm
+XSLTPROC = /usr/bin/xsltproc
+abs_builddir = /home/mlankhorst/nfs/xorg/libdrm/include/drm
+abs_srcdir = /home/mlankhorst/nfs/xorg/libdrm/include/drm
+abs_top_builddir = /home/mlankhorst/nfs/xorg/libdrm
+abs_top_srcdir = /home/mlankhorst/nfs/xorg/libdrm
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
@@ -212,26 +211,26 @@
 am__tar = $${TAR-tar} chof - "$$tardir"
 am__untar = $${TAR-tar} xf -
 bindir = ${exec_prefix}/bin
-build = i686-pc-linux-gnu
+build = x86_64-unknown-linux-gnu
 build_alias = 
-build_cpu = i686
+build_cpu = x86_64
 build_os = linux-gnu
-build_vendor = pc
+build_vendor = unknown
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = i686-pc-linux-gnu
+host = x86_64-unknown-linux-gnu
 host_alias = 
-host_cpu = i686
+host_cpu = x86_64
 host_os = linux-gnu
-host_vendor = pc
+host_vendor = unknown
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/marek/dev/drm/build-aux/install-sh
+install_sh = ${SHELL} /home/mlankhorst/nfs/xorg/libdrm/build-aux/install-sh
 kernel_source = 
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
@@ -242,7 +241,7 @@
 oldincludedir = /usr/include
 pdfdir = ${docdir}
 pkgconfigdir = ${exec_prefix}/lib/pkgconfig
-prefix = /usr
+prefix = /usr/local
 program_transform_name = s,x,x,
 psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin
@@ -321,3 +320,11 @@
 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
 	  done | \
 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
+	      END { if (nonempty) { for (i in files) print i; }; }'`; \
+	mkid -fID $$unique
+tags: TAGS
+
+TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+		$(TAGS_FILES) $(LISP)
+	set x; \
+	here=`pwd`; \

## libdrm 2.4.52

=== include/drm/Makefile ===
# Makefile.in generated by automake 1.13.4 from Makefile.am.
# include/drm/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#  Copyright 2005 Adam Jackson.
#
#  Permission is hereby granted, free of charge, to any person obtaining a
#  copy of this software and associated documentation files (the "Software"),
#  to deal in the Software without restriction, including without limitation
#  on the rights to use, copy, modify, merge, publish, distribute, sub
#  license, and/or sell copies of the Software, and to permit persons to whom
#  the Software is furnished to do so, subject to the following conditions:
#
#  The above copyright notice and this permission notice (including the next
#  paragraph) shall be included in all copies or substantial portions of the
#  Software.
#
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.  IN NO EVENT SHALL
#  ADAM JACKSON BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
#  IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
#  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

# XXX airlied says, nothing besides *_drm.h and drm*.h should be necessary.
# however, r300 and via need their reg headers installed in order to build.
# better solutions are welcome.


am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libdrm
pkgincludedir = $(includedir)/libdrm
pkglibdir = $(libdir)/libdrm
pkglibexecdir = $(libexecdir)/libdrm
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
am__append_1 = vmwgfx_drm.h
subdir = include/drm
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(am__klibdrminclude_HEADERS_DIST)
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__klibdrminclude_HEADERS_DIST = drm.h drm_mode.h drm_fourcc.h \
	drm_sarea.h i915_drm.h mga_drm.h nouveau_drm.h r128_drm.h \
	radeon_drm.h savage_drm.h sis_drm.h via_drm.h mach64_drm.h \
	qxl_drm.h vmwgfx_drm.h
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(klibdrmincludedir)"
HEADERS = $(klibdrminclude_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/kwg/Projects/drm/build-aux/missing aclocal-1.13
ALLOCA = 
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/kwg/Projects/drm/build-aux/missing autoconf
AUTOHEADER = ${SHELL} /home/kwg/Projects/drm/build-aux/missing autoheader
AUTOMAKE = ${SHELL} /home/kwg/Projects/drm/build-aux/missing automake-1.13
AWK = gawk
CAIRO_CFLAGS = -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/libpng16 
CAIRO_LIBS = -lcairo 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CLOCK_LIB = 
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUDEV_CFLAGS = 
LIBUDEV_LIBS = -ludev 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /home/kwg/Projects/drm/build-aux/missing makeinfo
MANIFEST_TOOL = :
MANPAGES_STYLESHEET = http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libdrm
PACKAGE_BUGREPORT = https://bugs.freedesktop.org/enter_bug.cgi?product=DRI
PACKAGE_NAME = libdrm
PACKAGE_STRING = libdrm 2.4.52
PACKAGE_TARNAME = libdrm
PACKAGE_URL = 
PACKAGE_VERSION = 2.4.52
PATH_SEPARATOR = :
PCIACCESS_CFLAGS = 
PCIACCESS_LIBS = -lpciaccess 
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PTHREADSTUBS_CFLAGS = 
PTHREADSTUBS_LIBS = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VALGRIND_CFLAGS = -I/usr/include/valgrind 
VALGRIND_LIBS = -L/usr/lib64/valgrind -lcoregrind-amd64-linux -lvex-amd64-linux -lgcc 
VERSION = 2.4.52
WARN_CFLAGS =  -Wall -Wextra -Wsign-compare -Werror-implicit-function-declaration -Wpointer-arith -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Wpacked -Wswitch-enum -Wmissing-format-attribute -Wstrict-aliasing=2 -Winit-self -Wdeclaration-after-statement -Wold-style-definition -Wno-missing-field-initializers -Wno-unused-parameter -Wno-attributes -Wno-long-long -Winline
XSLTPROC = /usr/bin/xsltproc
abs_builddir = /home/kwg/Projects/drm/include/drm
abs_srcdir = /home/kwg/Projects/drm/include/drm
abs_top_builddir = /home/kwg/Projects/drm
abs_top_srcdir = /home/kwg/Projects/drm
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/kwg/Projects/drm/build-aux/install-sh
kernel_source = 
libdir = /usr/lib64
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = /usr/lib64/pkgconfig
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
klibdrmincludedir = ${includedir}/libdrm
klibdrminclude_HEADERS = drm.h drm_mode.h drm_fourcc.h drm_sarea.h \
	i915_drm.h mga_drm.h nouveau_drm.h r128_drm.h radeon_drm.h \
	savage_drm.h sis_drm.h via_drm.h mach64_drm.h qxl_drm.h \
	$(am__append_1)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
